### Method

# EDataBook BookCache dup_summary_field

since: 3.50

#### Declaration [src]

    gboolean
    e_book_cache_dup_summary_field (
      EBookCache* book_cache,
      EContactField summary_field,
      const gchar* uid,
      gchar** out_value,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Queries the `book_cache` for a `summary_field` value for contact with UID `uid`. Note the field value may not correspond precisely to the value stored in the vCard (it can be in lower case).

Free the `out_value` with g_free(), when no longer needed.

Available since: 3.50

#### Parameters

`summary_field`

  Type: `EContactField`

  A field to query, which should be in the summary.

`uid`

  Type: `const gchar*`

  A contact UID to query the `summary_field` for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_value`

  Type: `gchar**`

  `summary_field` value.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.